package com.tuoheng.admin.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.tuoheng.admin.dto.TenantDto;
import com.tuoheng.admin.entity.Tenant;
import com.tuoheng.admin.query.TenantQuery;
import com.tuoheng.common.common.IBaseService;
import com.tuoheng.common.utils.JsonResult;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.Map;

/**
 * <p>
 * 企业管理表 服务类
 * </p>
 *
 * @author 拓恒
 * @since 2022-07-15
 */
public interface ITenantService extends IBaseService<Tenant> {

    /**
     * 获取租户分页列表
     *
     * @param tenantQuery 查询条件
     * @return
     */
    JsonResult getTenantList(TenantQuery tenantQuery);

    /**
     * 添加租户
     *
     * @param tenantDto 实体对象
     * @return
     */
    JsonResult addTenant(TenantDto tenantDto);

    /**
     * 更新租户
     *
     * @param tenantDto 实体对象
     * @return
     */
    JsonResult editTenant(TenantDto tenantDto);

    /**
     * 租户账号
     *
     * @param accountMap
     * @return
     */
    String account(@RequestBody Map<String, String> accountMap);


}
